import request from "@/utils/request"; // 你的axios封装

// 1. 获取角色列表
export function getQueryRolesPage(params) {
  return request({
    url: "/api/alumniRole/queryRolesPage",
    method: "get",
    params: params,
  });
}

// 2. 新增角色
export function addRole(data) {
  return request({
    url: "/api/alumniRole/insertRole",
    method: "post",
    data: data,
  });
}

// 3. 编辑角色
export function updateRole(data) {
  return request({
    url: "/api/alumniRole/updateRole",
    method: "post",
    data: data,
  });
}

// 4. 删除角色
export function deleteRole(params) {
  return request({
    url: `/api/alumniRole/deleteRoleById`,
    method: "get",
    params: params,
  });
}

// 16.1.	获取菜单树形图数据
export function getAllMenus() {
  return request({
    url: `/api/alumniMenu/queryAllMenus`,
    method: "get",
  });
}

// 查询角色
export function getByIdMenu(params) {
  return request({
    url: `/api/alumniRole/queryRole`,
    method: "get",
    params
  });
}

// 16.2.	获取省下拉列表
export function getProvince(params) {
  return request({
    url: `/api/alumniCity/getProvinceLevel`,
    method: "get",
    params: params,
  });
}

// 16.3.	获取市下拉列表
export function getCity(params) {
  return request({
    url: `/api/alumniCity/getCityLevel`,
    method: "get",
    params: params,
  });
}
